BlitzReels
BlitzReelsDocumentation
API Reference
GET
/characters

Lists reusable workspace characters and their approved reference asset IDs.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Query Parameters

include_archived?boolean
limit?integer
Range1 <= value <= 100
offset?integer
Range0 <= value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/characters"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "type": "human",      "status": "draft",      "consistency_mode": "reference",      "species": "string",      "canonical_description": "string",      "story_facts": [        "string"      ],      "default_voice_id": "string",      "default_voice_style": "string",      "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",      "primary_reference_asset_id": "28cadf89-2b28-414b-80c0-76ab1f89fdb2",      "references": [        {          "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",          "name": "string",          "order_index": -9007199254740991,          "is_primary": true        }      ],      "created_at": "string",      "updated_at": "string"    }  ],  "total": -9007199254740991,  "returned": -9007199254740991,  "limit": -9007199254740991,  "offset": -9007199254740991,  "has_more": true,  "truncated": true}